@echo off
set RETAIL=1
rem *** set value ***
set arcname=ppxws02.zip
set readme=ppxws.txt
set srcname=source.7z
set exename=ppxws

rem *** main ***
del *.zip
rd /s /q archive
md archive

cmd /c "vc322008 && msbuild %exename%2008.sln -property:Platform=Win32 -property:Configuration=Release -t:Rebuild"
copy .\Release\%exename%.dll .\archive\%exename%32.dll
tfilesign sp archive\%exename%32.dll archive\%exename%32.dll
CT %readme% archive\%exename%32.dll

cmd /c "vc642008 && msbuild %exename%2008.sln -property:Platform=x64 -property:Configuration=Release -t:Rebuild"
copy .\x64\Release\%exename%.dll .\archive\%exename%64.dll
tfilesign sp archive\%exename%64.dll archive\%exename%64.dll
CT %readme% archive\%exename%64.dll

cmd /c "vc642022 && msbuild %exename%2022.sln -property:Platform=ARM64 -property:Configuration=Release -t:Rebuild"
copy .\ARM64\Release\%exename%.dll .\archive\%exename%64A.dll
tfilesign sp archive\%exename%64A.dll archive\%exename%64A.dll
CT %readme% archive\%exename%64A.dll

xcopy %readme% .\archive\

rem *** Source Archive ***

if %RETAIL%==0 goto :skipsource

for %%i in (*) do CT %readme% %%i
ppb /c %%u/7-zip32.dll,a archive\%srcname% -hide -mx=9 archive.bat *.C *.CPP *.DEF *.H *.RC *.RH *.sln *.vcxproj
CT %readme% archive\%srcname%
if %RETAIL%==1 goto :archive

:skipsource

:archive
cd archive
ppb /c %%u/7-ZIP32.DLL,a -tzip -hide -mx=7 ..\%arcname% *
cd ..
tfilesign s %arcname% %arcname%
CT %readme% %arcname%
